/**
 * Single checked out document.
 * Essential properties are doc_id, parent_id, title and some other, but also
 * may contain a document object (instance of DocElementModel)
 */
var TrashCanModel = Backbone.Model.extend({
	urlRoot: '/intranet/rest/deleted/',

	defaults: {
		URI: '',
		obj_type: 'unknown',
		obj_type_name: 'unknown',
		title: ''
	},

	url: function ()
	{
		return this.get('URI');
	},

	getObjId: function ()
	{
		return this.get('id');
	}
});